<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddConferenceBridgeReq StructType
 * @subpackage Structs
 */
class AddConferenceBridgeReq extends APIRequest
{
    /**
     * The conferenceBridge
     * @var XConferenceBridge
     */
    public $conferenceBridge;
    /**
     * Constructor method for AddConferenceBridgeReq
     * @uses AddConferenceBridgeReq::setConferenceBridge()
     * @param XConferenceBridge $conferenceBridge
     */
    public function __construct(XConferenceBridge $conferenceBridge = null)
    {
        $this
            ->setConferenceBridge($conferenceBridge);
    }
    /**
     * Get conferenceBridge value
     * @return XConferenceBridge|null
     */
    public function getConferenceBridge()
    {
        return $this->conferenceBridge;
    }
    /**
     * Set conferenceBridge value
     * @param XConferenceBridge $conferenceBridge
     * @return AddConferenceBridgeReq
     */
    public function setConferenceBridge(XConferenceBridge $conferenceBridge = null)
    {
        $this->conferenceBridge = $conferenceBridge;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddConferenceBridgeReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
